package com.ftinc.si.assist.test.web;

import java.util.HashMap;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

import com.ftinc.si.assist.run.VCentral;

public class DBSetter extends PageAction {
	//画面の準備ができるまで待つ。Actionごとに待ち方が異なる。
	protected WebElement waitUntil(WebDriver drv) {
		return null;
	}

	public void doCore(WebDriver drv, WebElement elm) {
		HashMap<String, Object> t_map = new HashMap<String, Object>();

		String t_jpath = getArg("jpath").toString(); //拡張JsonPath部分. 「dbset tableName....」
		@SuppressWarnings("unchecked")
		HashMap<String, String> t_val = (HashMap<String, String>)getArg("value"); //拡張JsonPathのvalue部分
			//DBSetterの場合、複数のカラムを同時に更新できるので、valueにはMapを使用する。
			//SQL文を直接指定する場合には、キーは@sqlである。
		t_map.put(t_jpath, t_val);
		VCentral.prepare(t_map);
	}

}
